:host {
   display: flex;
   flex-direction: column;
   width: max-content;
   color: white;
   padding: var(--offset);
   border: 1px solid black;
   margin: var(--offset);

 
}

.title {
   background-color: black;
   padding: calc(var(--offset) * 2);
   margin-bottom: var(--offset);
   display: flex;
}

@mixin button($color) {
   width: 150px;
   height: 40px;
   margin-bottom: var(--offset);
   color: white;
   background-color: rgb($color, 10, 10);
   transition: var(--transition);
   border: none;
   
   &:hover {
      background-color: rgb($color + 40, 25, 25);
   }
}


.action {
   @include button(100);
}

.extra {
   @include button(10);
}